.marquee {
  overflow: hidden;
  width: 100%;
  background: #B8D9EC;
}
.marquee > div {
  width: 201vw;
  height: 24px;
  font-size: 10px;
  font-weight: 700;
  white-space: nowrap;
  animation: marquee 60s linear infinite alternate;
  display: flex;
  align-items: center;
  gap: 12px;
}
.marquee span {
  flex: 0 0 auto;
}
@keyframes marquee {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-100vw);
  }
}

/* language selector */

.language-select {
  max-width: -webkit-max-content;
  max-width: -moz-max-content;
  max-width: max-content;
  position: relative;
}
.language-select button {
  background: transparent;
  border: none;
  outline: none;
  color: #5F5F5F;
  -webkit-transition: 0.3s;
  -o-transition: 0.3s;
  transition: 0.3s;
  font-size: 0.75rem;
  font-weight: 700;
  cursor: pointer;
}
.language-select button:hover {
  color: var(--yellow-base);
}
.language-select ul {
  height: 0;
  overflow: hidden;
  position: absolute;
  top: 100%;
  left: 0;
  list-style-type: none;
  margin: 0;
  padding: 0;
  text-align: left;
  padding-inline: 23px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  background-color: white;
}
.language-select ul.expanded {
  height: -webkit-max-content;
  height: -moz-max-content;
  height: max-content;
}
.language-select ul a.active {
  display: none;
}
.language-button {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 3px;
  font-weight: 400;
}
.language-button > :first-child {
  -webkit-box-flex: 0;
      -ms-flex: 0 0 20px;
          flex: 0 0 20px;
  font-size: 1rem;
}
.language-button > :nth-child(2) {
  -webkit-box-flex: 1;
      -ms-flex: 1 20px;
          flex: 1 20px;
}
.language-button > :last-child {
  -webkit-box-flex: 0;
      -ms-flex: 0 0 13px;
          flex: 0 0 13px;
  rotate: 0;
  -webkit-transition: 0.3s;
  -o-transition: 0.3s;
  transition: 0.3s;
  font-size: 1rem;
}
.language-button.expanded > :last-child {
  rotate: 180deg;
}

@media screen and (width < 48em) {
  .language-select {
    display: flex;
    gap: 0.5rem;
    align-items: center;
    width: unset;
    flex: 1;
    max-width: unset;
    overflow: scroll!important;
  }
  .language-select::-webkit-scrollbar {
    display: none;
  }

  .language-select ul a.active {
    display: block;
  }

  .language-select ul {    
    height: -webkit-max-content;
    height: -moz-max-content;
    height: max-content;
    position: unset;
    flex-direction: row;
    padding: 0;
    gap: 0.5rem;
    font-size: 0.75rem;
    width: unset;
    flex: 1;
    overflow: unset;
  }
  .language-select ul a.active .language-option {
    color: #000;
    background-color: #FFDC67;
  }
  .language-select ul a .language-option {
    background-color: #FBEDBE;
    border-radius: 16px;
    height: 2.25em;
    padding-inline: 0.75em;
    display: flex;
    align-items: center;
  }
}


/* LOADER */

#page-loader {
  position: fixed;
  width: 100%;
  height: 100%;
  background: var(--color-primary);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  transition: opacity 0.3s ease, visibility 0.3s ease;
}

.loader-content {
  text-align: center;
  color: #222;
  font-size: 20px;
  font-weight: bold;
}

.loader-spinner {
  width: 50px;
  height: 50px;
  border: 5px solid #fff;
  border-top-color: #005bbb; /* Синій верхній колір */
  border-radius: 50%;
  animation: spin 1s linear infinite;
  margin: 10px auto 0;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

.loader-hidden {
  opacity: 0;
  visibility: hidden;
}
